/[gentoo-x86]/eclass/kde4-meta.eclass
Gentoo

Diff of /eclass/kde4-meta.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.11 Revision 1.45
1# Copyright 1999-2009 Gentoo Foundation 1# Copyright 1999-2010 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.11 2009/03/01 11:44:09 scarabeus Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.45 2010/12/29 16:38:50 tampakrap Exp $
4# 4#
5# @ECLASS: kde4-meta.eclass 5# @ECLASS: kde4-meta.eclass
6# @MAINTAINER: 6# @MAINTAINER:
7# kde@gentoo.org 7# kde@gentoo.org
8# @BLURB: Eclass for writing "split" KDE packages. 8# @BLURB: Eclass for writing "split" KDE packages.
14 14
15inherit kde4-base versionator 15inherit kde4-base versionator
16 16
17EXPORT_FUNCTIONS pkg_setup src_unpack src_prepare src_configure src_compile src_test src_install pkg_postinst pkg_postrm 17EXPORT_FUNCTIONS pkg_setup src_unpack src_prepare src_configure src_compile src_test src_install pkg_postinst pkg_postrm
18 18
19if [[ -z ${KMNAME} ]]; then
20 die "kde4-meta.eclass inherited but KMNAME not defined - broken ebuild" 19[[ -z ${KMNAME} ]] && die "kde4-meta.eclass inherited but KMNAME not defined - broken ebuild"
21fi
22
23case ${KDEBASE} in
24 kde-base)
25 HOMEPAGE="http://www.kde.org/"
26 LICENSE="GPL-2"
27 ;;
28 koffice)
29 HOMEPAGE="http://www.koffice.org/"
30 LICENSE="GPL-2"
31 ;;
32esac
33 20
34# Add dependencies that all packages in a certain module share. 21# Add dependencies that all packages in a certain module share.
35case ${KMNAME} in 22case ${KMNAME} in
36 kdebase|kdebase-workspace|kdebase-runtime) 23 kdebase|kdebase-apps|kdebase-workspace|kdebase-runtime|kdegraphics)
37 DEPEND="${DEPEND} >=kde-base/qimageblitz-0.0.4" 24 COMMONDEPEND+=" >=media-libs/qimageblitz-0.0.4"
38 RDEPEND="${RDEPEND} >=kde-base/qimageblitz-0.0.4"
39 ;; 25 ;;
40 kdepim) 26 kdepim|kdepim-runtime)
41 DEPEND="${DEPEND} dev-libs/boost app-office/akonadi-server"
42 RDEPEND="${RDEPEND} dev-libs/boost"
43 if [[ ${PN} != kode ]]; then
44 DEPEND="${DEPEND} >=kde-base/kode-${PV}:${SLOT}[kdeprefix=]"
45 RDEPEND="${RDEPEND} >=kde-base/kode-${PV}:${SLOT}[kdeprefix=]"
46 fi
47 case ${PN} in 27 case ${PN} in
48 akregator|kaddressbook|kjots|kmail|kmobiletools|knode|knotes|korganizer|ktimetracker) 28 akregator|kaddressbook|kjots|kmail|knode|knotes|korganizer|ktimetracker)
49 IUSE="+kontact" 29 IUSE+=" +kontact"
50 DEPEND="${DEPEND} kontact? ( >=kde-base/kontactinterfaces-${PV}:${SLOT}[kdeprefix=] )" 30 RDEPEND+=" kontact? ( $(add_kdebase_dep kontact) )"
51 RDEPEND="${RDEPEND} kontact? ( >=kde-base/kontactinterfaces-${PV}:${SLOT}[kdeprefix=] )"
52 ;; 31 ;;
53 esac 32 esac
54 ;; 33 ;;
55 kdegames) 34 kdegames)
56 if [[ ${PN} != libkdegames ]]; then 35 if [[ ${PN} != libkdegames ]]; then
57 DEPEND="${DEPEND} >=kde-base/libkdegames-${PV}:${SLOT}[kdeprefix=]" 36 COMMONDEPEND+=" $(add_kdebase_dep libkdegames)"
58 RDEPEND="${RDEPEND} >=kde-base/libkdegames-${PV}:${SLOT}[kdeprefix=]"
59 fi 37 fi
60 ;; 38 ;;
61 koffice) 39 koffice)
62 [[ ${PN} != koffice-data ]] && IUSE="debug" 40 [[ ${PN} != koffice-data ]] && IUSE+=" debug"
63 case ${PV} in 41 RDEPEND+="
64 9999*) DEPEND="${DEPEND} !app-office/${PN}:2" ;;
65 1.9*|2*) DEPEND="${DEPEND} !app-office/${PN}:live" ;;
66 esac
67 DEPEND="${DEPEND}
68 !app-office/${PN}:0 42 !app-office/${PN}:0
69 !app-office/koffice:0 43 !app-office/koffice:0
70 !app-office/koffice-meta:0" 44 !app-office/koffice-meta:0
71 case ${PN} in 45 "
72 koffice-data) 46 if has openexr ${IUSE//+}; then
73 DEPEND="${DEPEND} media-libs/lcms" 47 COMMONDEPEND+=" media-gfx/imagemagick[openexr?]"
74 RDEPEND="${RDEPEND} media-libs/lcms" 48 else
75 ;; 49 COMMONDEPEND+=" media-gfx/imagemagick"
76 *) 50 fi
77 DEPEND="${DEPEND} 51
52 COMMONDEPEND+="
78 dev-cpp/eigen:2 53 dev-cpp/eigen:2
79 media-gfx/imagemagick[openexr?]
80 media-libs/fontconfig 54 media-libs/fontconfig
81 media-libs/freetype:2 55 media-libs/freetype:2
82 " 56 "
83 RDEPEND="${DEPEND}"
84 if [[ ${PN} != koffice-libs && ${PN} != koffice-data ]]; then 57 if [[ ${PN} != koffice-libs && ${PN} != koffice-data ]]; then
85 DEPEND="${DEPEND} 58 COMMONDEPEND+=" >=app-office/koffice-libs-${PV}:${SLOT}"
86 >=app-office/koffice-libs-${PV}:${SLOT}[kdeprefix=]"
87 RDEPEND="${RDEPEND}
88 >=app-office/koffice-libs-${PV}:${SLOT}[kdeprefix=]"
89 fi 59 fi
90 ;;
91 esac
92 ;; 60 ;;
93esac 61esac
94 62
63DEPEND+=" ${COMMONDEPEND}"
64RDEPEND+=" ${COMMONDEPEND}"
65unset COMMONDEPEND
66
95debug-print "line ${LINENO} ${ECLASS}: DEPEND ${DEPEND} - after metapackage-specific dependencies" 67debug-print "line ${LINENO} ${ECLASS}: DEPEND ${DEPEND} - after metapackage-specific dependencies"
96debug-print "line ${LINENO} ${ECLASS}: RDEPEND ${RDEPEND} - after metapackage-specific dependencies" 68debug-print "line ${LINENO} ${ECLASS}: RDEPEND ${RDEPEND} - after metapackage-specific dependencies"
97 69
98# Useful to build kde4-meta style stuff from extragear/playground (plasmoids etc) 70# Useful to build kde4-meta style stuff from extragear/playground (plasmoids etc)
99case ${SLOT} in 71case ${BUILD_TYPE} in
100 live) 72 live)
101 case ${KMNAME} in 73 case ${KMNAME} in
102 extragear*|playground*) 74 extragear*|playground*)
103 ESVN_REPO_URI="${ESVN_MIRROR}/trunk/${KMNAME}" 75 ESVN_REPO_URI="${ESVN_MIRROR}/trunk/${KMNAME}"
76 ESVN_PROJECT="${KMNAME}${ESVN_PROJECT_SUFFIX}"
104 ;; 77 ;;
105 esac 78 esac
106 ;; 79 ;;
107esac 80esac
108 81
125# If set to "true", $KMMODULE doesn't have to be defined. 98# If set to "true", $KMMODULE doesn't have to be defined.
126# 99#
127# Example usage: If you're installing subdirectories of a package, like plugins, 100# Example usage: If you're installing subdirectories of a package, like plugins,
128# you mark the top subdirectory (containing the package) as $KMEXTRACTONLY, and 101# you mark the top subdirectory (containing the package) as $KMEXTRACTONLY, and
129# set KMNOMODULE="true". 102# set KMNOMODULE="true".
130if [[ -z ${KMMODULE} && ${KMNOMODULE} != true ]]; then 103if [[ -z ${KMMODULE} ]] && [[ ${KMNOMODULE} != true ]]; then
131 KMMODULE=${PN} 104 KMMODULE=${PN}
132fi 105fi
133 106
134# @ECLASS-VARIABLE: KMEXTRA 107# @ECLASS-VARIABLE: KMEXTRA
135# @DESCRIPTION: 108# @DESCRIPTION:
136# All subdirectories listed here will be extracted, compiled & installed. 109# All subdirectories listed here will be extracted, compiled & installed.
137# $KMMODULE is always added to $KMEXTRA. 110# $KMMODULE is always added to $KMEXTRA.
138# If the htmlhandbook USE-flag is set, and if this directory exists, 111# If KDE_HANDBOOK is 'always' or 'optional' and handbook USE-flag is set, and if this
139# then "doc/$KMMODULE" is added to $KMEXTRA. In other cases, this should be 112# directory exists, then "doc/$KMMODULE" is added to $KMEXTRA. If there's additional
140# handled in the ebuild.
141# If the documentation is in a different subdirectory, you should add it to KMEXTRA. 113# documentation in different subdirectories, it should be added to KMEXTRA manually..
142 114
143# @ECLASS-VARIABLE: KMCOMPILEONLY 115# @ECLASS-VARIABLE: KMCOMPILEONLY
144# @DESCRIPTION: 116# @DESCRIPTION:
145# All subdirectories listed here will be extracted & compiled, but not installed. 117# All subdirectories listed here will be extracted & compiled, but not installed.
146 118
211 rsync --recursive ${rsync_options} "${ESVN_WC_PATH}/${kmnamedir}cmake" "${S}" \ 183 rsync --recursive ${rsync_options} "${ESVN_WC_PATH}/${kmnamedir}cmake" "${S}" \
212 || die "${ESVN}: can't export cmake files to '${S}'." 184 || die "${ESVN}: can't export cmake files to '${S}'."
213 fi 185 fi
214 # Copy all subdirectories 186 # Copy all subdirectories
215 for subdir in $(__list_needed_subdirectories); do 187 for subdir in $(__list_needed_subdirectories); do
216 targetdir="" 188 targetdir=""
217 if [[ $subdir = doc/* && ! -e "$ESVN_WC_PATH/$kmnamedir$subdir" ]]; then 189 if [[ $subdir = doc/* && ! -e "$ESVN_WC_PATH/$kmnamedir$subdir" ]]; then
218 continue 190 continue
219 fi 191 fi
220 192
221 [[ ${subdir%/} = */* ]] && targetdir=${subdir%/} && targetdir=${targetdir%/*} && mkdir -p "${S}/${targetdir}" 193 [[ ${subdir%/} = */* ]] && targetdir=${subdir%/} && targetdir=${targetdir%/*} && mkdir -p "${S}/${targetdir}"
222 rsync --recursive ${rsync_options} "${ESVN_WC_PATH}/${kmnamedir}${subdir%/}" "${S}/${targetdir}" \ 194 rsync --recursive ${rsync_options} "${ESVN_WC_PATH}/${kmnamedir}${subdir%/}" "${S}/${targetdir}" \
223 || die "${ESVN}: can't export subdirectory '${subdir}' to '${S}/${targetdir}'." 195 || die "${ESVN}: can't export subdirectory '${subdir}' to '${S}/${targetdir}'."
224 done 196 done
225 197
226 if [[ ${KMNAME} = kdebase-runtime && ${PN} != kdebase-data ]]; then 198 if [[ ${KMNAME} = kdebase-runtime && ${PN} != kdebase-data ]]; then
227 sed -i -e '/^install(PROGRAMS[[:space:]]*[^[:space:]]*\/kde4[[:space:]]/s/^/#DONOTINSTALL /' \ 199 sed -i -e '/^install(PROGRAMS[[:space:]]*[^[:space:]]*\/kde4[[:space:]]/s/^/#DONOTINSTALL /' \
228 "${S}"/CMakeLists.txt || die "Sed to exclude bin/kde4 failed" 200 "${S}"/CMakeLists.txt || die "Sed to exclude bin/kde4 failed"
229 fi 201 fi
230 else 202 else
231 local abort tarball tarfile f extractlist moduleprefix 203 local abort tarball tarfile f extractlist moduleprefix postfix
232 204 case ${PV} in
205 4.[45].8[05] | 4.[45].9[023568])
206 # Block for normally packed upstream unstable snapshots
207 KMTARPARAMS+=" --bzip2" # bz2
208 postfix="bz2"
209 ;;
210 *)
211 KMTARPARAMS+=" --bzip2" # bz2
212 postfix="bz2"
213 ;;
214 esac
233 case $KMNAME in 215 case ${KMNAME} in
234 kdebase-apps) 216 kdebase-apps)
235 tarball="${KMNAME#-apps}-${PV}.tar.bz2" 217 # kdebase/apps -> kdebase-apps
218 tarball="kdebase-${PV}.tar.${postfix}"
219 # Go one level deeper for kdebase-apps in tarballs
220 moduleprefix=apps/
221 KMTARPARAMS+=" --transform=s|apps/||"
236 ;; 222 ;;
237 *) 223 *)
224 # Create tarball name from module name (this is the default)
238 tarball="${KMNAME}-${PV}.tar.bz2" 225 tarball="${KMNAME}-${PV}.tar.${postfix}"
239 ;; 226 ;;
240 esac 227 esac
228
229 # Full path to source tarball
241 tarfile="${DISTDIR}/${tarball}" 230 tarfile="${DISTDIR}/${tarball}"
231
232 # Detect real toplevel dir from tarball name - it will be used upon extraction
233 # and in __list_needed_subdirectories
234 topdir="${tarball%.tar.*}/"
242 235
243 ebegin "Unpacking parts of ${tarball} to ${WORKDIR}" 236 ebegin "Unpacking parts of ${tarball} to ${WORKDIR}"
244 237
245 kde4-meta_create_extractlists 238 kde4-meta_create_extractlists
246 239
247 for f in cmake/ CMakeLists.txt ConfigureChecks.cmake config.h.cmake \ 240 for f in cmake/ CMakeLists.txt ConfigureChecks.cmake config.h.cmake \
248 AUTHORS COPYING INSTALL README NEWS ChangeLog 241 AUTHORS COPYING INSTALL README NEWS ChangeLog
249 do 242 do
250 extractlist="${extractlist} ${KMNAME}-${PV}/${f}" 243 extractlist+=" ${topdir}${moduleprefix}${f}"
251 done 244 done
252 extractlist="${extractlist} $(__list_needed_subdirectories)" 245 extractlist+=" $(__list_needed_subdirectories)"
253 KMTARPARAMS="${KMTARPARAMS} -j"
254 246
255 pushd "${WORKDIR}" > /dev/null 247 pushd "${WORKDIR}" > /dev/null
256 [[ -n ${KDE4_STRICTER} ]] && echo tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist} >&2 248 [[ -n ${KDE4_STRICTER} ]] && echo tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist}
257 tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist} 2> /dev/null 249 tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist} || ewarn "tar extract command failed at least partially - continuing anyway"
258 250
259 # Default $S is based on $P; rename the extracted directory to match $S if necessary 251 # Default $S is based on $P; rename the extracted directory to match $S if necessary
260 mv ${KMNAME}-${PV} ${P} || die "Died while moving \"${KMNAME}-${PV}\" to \"${P}\"" 252 mv ${topdir} ${P} || die "Died while moving \"${topdir}\" to \"${P}\""
261 253
262 popd > /dev/null 254 popd > /dev/null
263 255
264 eend $? 256 eend $?
265 257
273 abort=true 265 abort=true
274 fi 266 fi
275 done 267 done
276 [[ -n ${abort} ]] && die "There were missing files." 268 [[ -n ${abort} ]] && die "There were missing files."
277 fi 269 fi
270
271 # We don't need it anymore
272 unset topdir
278 fi 273 fi
279} 274}
280 275
281# @FUNCTION: kde4-meta_create_extractlists 276# @FUNCTION: kde4-meta_create_extractlists
282# @DESCRIPTION: 277# @DESCRIPTION:
284# Also see descriptions of KMMODULE, KMNOMODULE, KMEXTRA, KMCOMPILEONLY, 279# Also see descriptions of KMMODULE, KMNOMODULE, KMEXTRA, KMCOMPILEONLY,
285# KMEXTRACTONLY and KMTARPARAMS. 280# KMEXTRACTONLY and KMTARPARAMS.
286kde4-meta_create_extractlists() { 281kde4-meta_create_extractlists() {
287 debug-print-function ${FUNCNAME} "$@" 282 debug-print-function ${FUNCNAME} "$@"
288 283
289 if has htmlhandbook ${IUSE//+} && use htmlhandbook; then 284 # Add default handbook locations
285 # FIXME - legacy code - remove when 4.4.5 is gone or preferrably port 4.4.5.
286 if ! slot_is_at_least 4.5 ${SLOT} && has handbook ${IUSE//+} && use handbook && [[ -z ${KMNOMODULE} ]]; then
290 # We use the basename of $KMMODULE because $KMMODULE can contain 287 # We use the basename of $KMMODULE because $KMMODULE can contain
291 # the path to the module subdirectory. 288 # the path to the module subdirectory.
289 KMEXTRA_NONFATAL+="
290 doc/${KMMODULE##*/}"
291 fi
292
293 # Add default handbook locations
294 if [[ -z ${KMNOMODULE} ]] && { [[ ${KDE_HANDBOOK} = always ]] || { [[ ${KDE_HANDBOOK} = optional ]] && use handbook; }; }; then
292 KMEXTRA_NONFATAL="${KMEXTRA_NONFATAL} doc/${KMMODULE##*/}" 295 KMEXTRA_NONFATAL+=" doc/${KMMODULE##*/}"
293 fi 296 fi
294 297
295 # Add some CMake-files to KMEXTRACTONLY. 298 # Add some CMake-files to KMEXTRACTONLY.
296 # Note that this actually doesn't include KMEXTRA handling. 299 # Note that this actually doesn't include KMEXTRA handling.
297 # In those cases you should care to add the relevant files to KMEXTRACTONLY 300 # In those cases you should care to add the relevant files to KMEXTRACTONLY
298 case ${KMNAME} in 301 case ${KMNAME} in
299 kdebase) 302 kdebase)
300 KMEXTRACTONLY="${KMEXTRACTONLY} 303 KMEXTRACTONLY+="
301 apps/config-apps.h.cmake 304 apps/config-apps.h.cmake
302 apps/ConfigureChecks.cmake" 305 apps/ConfigureChecks.cmake"
303 ;; 306 ;;
304 kdebase-apps) 307 kdebase-apps)
305 KMEXTRACTONLY="${KMEXTRACTONLY} 308 KMEXTRACTONLY+="
306 config-apps.h.cmake 309 config-apps.h.cmake
307 ConfigureChecks.cmake" 310 ConfigureChecks.cmake"
308 ;; 311 ;;
309 kdebase-runtime) 312 kdebase-runtime)
310 KMEXTRACTONLY="${KMEXTRACTONLY} 313 KMEXTRACTONLY+="
311 config-runtime.h.cmake" 314 config-runtime.h.cmake"
312 ;; 315 ;;
313 kdebase-workspace) 316 kdebase-workspace)
314 KMEXTRACTONLY="${KMEXTRACTONLY} 317 KMEXTRACTONLY+="
315 config-unix.h.cmake 318 config-unix.h.cmake
316 ConfigureChecks.cmake 319 ConfigureChecks.cmake
317 config-workspace.h.cmake 320 config-workspace.h.cmake
318 config-X11.h.cmake 321 config-X11.h.cmake
319 startkde.cmake 322 startkde.cmake
320 KDE4WorkspaceConfig.cmake.in" 323 KDE4WorkspaceConfig.cmake.in"
321 ;; 324 ;;
322 kdegames) 325 kdegames)
323 if [[ ${PN} != libkdegames ]]; then 326 if [[ ${PN} != libkdegames ]]; then
324 KMEXTRACTONLY="${KMEXTRACTONLY} 327 KMEXTRACTONLY+="
325 libkdegames" 328 libkdegames/"
329 KMLOADLIBS="${KMLOADLIBS} libkdegames"
326 fi 330 fi
327 ;; 331 ;;
328 kdepim) 332 kdepim)
329 KMEXTRACTONLY="${KMEXTRACTONLY} 333 if [[ ${PN} != libkdepim ]]; then
334 KMEXTRACTONLY+="
335 libkdepim/"
336 fi
337 KMEXTRACTONLY+="
338 config-enterprise.h.cmake
330 kleopatra/ConfigureChecks.cmake 339 kleopatra/ConfigureChecks.cmake"
331 libkdepim/kdepim_export.h" 340 if slot_is_at_least 4.5 ${SLOT}; then
341 KMEXTRACTONLY+="
342 CTestCustom.cmake
343 kdepim-version.h.cmake"
344 else
345 KMEXTRACTONLY+="
346 kdepim-version.h"
347 fi
332 if has kontact ${IUSE//+} && use kontact; then 348 if has kontact ${IUSE//+} && use kontact; then
349 KMEXTRA+="
333 KMEXTRA="${KMEXTRA} kontact/plugins/${PLUGINNAME:-${PN}}" 350 kontact/plugins/${PLUGINNAME:-${PN}}/"
334 KMEXTRACTONLY="${KMEXTRACTONLY} kontactinterfaces/"
335 fi 351 fi
352 ;;
353 kdeutils)
354 KMEXTRACTONLY+="
355 kdeutils-version.h"
336 ;; 356 ;;
337 koffice) 357 koffice)
338 KMEXTRACTONLY="${KMEXTRACTONLY} 358 KMEXTRACTONLY+="
339 config-endian.h.cmake
340 filters/config-filters.h.cmake 359 filters/config-filters.h.cmake
360 "
361 case ${PV} in
362 2.0.*)
363 KMEXTRACTONLY+="
341 config-openctl.h.cmake 364 config-openctl.h.cmake
365 config-endian.h.cmake
342 config-openexr.h.cmake 366 config-openexr.h.cmake
343 config-opengl.h.cmake 367 config-opengl.h.cmake
344 config-prefix.h.cmake" 368 config-prefix.h.cmake"
369 ;;
370 2.[12].*)
371 KMEXTRACTONLY+="
372 config-endian.h.cmake
373 config-openexr.h.cmake
374 config-opengl.h.cmake
375 config-prefix.h.cmake"
376 ;;
377 esac
345 ;; 378 ;;
346 esac 379 esac
347 # Don't install cmake modules for split ebuilds, to avoid collisions. 380 # Don't install cmake modules for split ebuilds, to avoid collisions.
348 case ${KMNAME} in 381 case ${KMNAME} in
349 kdebase-runtime|kdebase-workspace|kdeedu|kdegames|kdegraphics|kdepim) 382 kdebase-runtime|kdebase-workspace|kdeedu|kdegames|kdegraphics)
350 case ${PN} in 383 case ${PN} in
351 libkdegames|libkdeedu|marble|libkworkspace) 384 libkdegames|libkdeedu|libkworkspace)
352 KMEXTRA="${KMEXTRA} 385 KMEXTRA+="
353 cmake/modules/" 386 cmake/modules/"
354 ;; 387 ;;
355 *) 388 *)
356 KMCOMPILEONLY="${KMCOMPILEONLY} 389 KMCOMPILEONLY+="
357 cmake/modules/" 390 cmake/modules/"
358 ;; 391 ;;
359 esac 392 esac
360 ;; 393 ;;
361 esac 394 esac
362 395
363 debug-print "line ${LINENO} ${ECLASS} ${FUNCNAME}: KMEXTRACTONLY ${KMEXTRACTONLY}" 396 debug-print "line ${LINENO} ${ECLASS} ${FUNCNAME}: KMEXTRACTONLY ${KMEXTRACTONLY}"
364} 397}
365 398
366__list_needed_subdirectories() { 399__list_needed_subdirectories() {
367 local i j kmextra kmextra_expanded kmmodule_expanded kmcompileonly_expanded extractlist topdir 400 local i j kmextra kmextra_expanded kmmodule_expanded kmcompileonly_expanded extractlist
368 401
369 # We expand KMEXTRA by adding CMakeLists.txt files 402 # We expand KMEXTRA by adding CMakeLists.txt files
370 kmextra="${KMEXTRA}" 403 kmextra="${KMEXTRA}"
371 [[ ${1} != fatal ]] && kmextra="${kmextra} ${KMEXTRA_NONFATAL}" 404 [[ ${1} != fatal ]] && kmextra+=" ${KMEXTRA_NONFATAL}"
372 for i in ${kmextra}; do 405 for i in ${kmextra}; do
373 kmextra_expanded="${kmextra_expanded} ${i}" 406 kmextra_expanded+=" ${i}"
374 j=$(dirname ${i}) 407 j=$(dirname ${i})
375 while [[ ${j} != "." ]]; do 408 while [[ ${j} != "." ]]; do
376 kmextra_expanded="${kmextra_expanded} ${j}/CMakeLists.txt"; 409 kmextra_expanded+=" ${j}/CMakeLists.txt";
377 j=$(dirname ${j}) 410 j=$(dirname ${j})
378 done 411 done
379 done 412 done
380 413
381 # Expand KMMODULE 414 # Expand KMMODULE
382 if [[ -n ${KMMODULE} ]]; then 415 if [[ -n ${KMMODULE} ]]; then
383 kmmodule_expanded="${KMMODULE}" 416 kmmodule_expanded="${KMMODULE}"
384 j=$(dirname ${KMMODULE}) 417 j=$(dirname ${KMMODULE})
385 while [[ ${j} != "." ]]; do 418 while [[ ${j} != "." ]]; do
386 kmmodule_expanded="${kmmodule_expanded} ${j}/CMakeLists.txt"; 419 kmmodule_expanded+=" ${j}/CMakeLists.txt";
387 j=$(dirname ${j}) 420 j=$(dirname ${j})
388 done 421 done
389 fi 422 fi
390 423
391 # Expand KMCOMPILEONLY 424 # Expand KMCOMPILEONLY
392 for i in ${KMCOMPILEONLY}; do 425 for i in ${KMCOMPILEONLY}; do
393 kmcompileonly_expanded="${kmcompileonly_expanded} ${i}" 426 kmcompileonly_expanded+=" ${i}"
394 j=$(dirname ${i}) 427 j=$(dirname ${i})
395 while [[ ${j} != "." ]]; do 428 while [[ ${j} != "." ]]; do
396 kmcompileonly_expanded="${kmcompileonly_expanded} ${j}/CMakeLists.txt"; 429 kmcompileonly_expanded+=" ${j}/CMakeLists.txt";
397 j=$(dirname ${j}) 430 j=$(dirname ${j})
398 done 431 done
399 done 432 done
400 433
401 debug-print "line ${LINENO} ${ECLASS} ${FUNCNAME} - kmextra_expanded: ${kmextra_expanded}" 434 debug-print "line ${LINENO} ${ECLASS} ${FUNCNAME} - kmextra_expanded: ${kmextra_expanded}"
402 debug-print "line ${LINENO} ${ECLASS} ${FUNCNAME} - kmmodule_expanded: ${kmmodule_expanded}" 435 debug-print "line ${LINENO} ${ECLASS} ${FUNCNAME} - kmmodule_expanded: ${kmmodule_expanded}"
403 debug-print "line ${LINENO} ${ECLASS} ${FUNCNAME} - kmcompileonly_expanded: ${kmcompileonly_expanded}" 436 debug-print "line ${LINENO} ${ECLASS} ${FUNCNAME} - kmcompileonly_expanded: ${kmcompileonly_expanded}"
404 437
405 case ${PV} in
406 scm|9999*) : ;;
407 *) topdir="${KMNAME}-${PV}/" ;;
408 esac
409 # Create final list of stuff to extract 438 # Create final list of stuff to extract
410 # We append topleveldir only when specified (usually for tarballs) 439 # We append topdir only when specified (usually for tarballs)
411 for i in ${kmmodule_expanded} ${kmextra_expanded} ${kmcompileonly_expanded} \ 440 for i in ${kmmodule_expanded} ${kmextra_expanded} ${kmcompileonly_expanded} \
412 ${KMEXTRACTONLY} 441 ${KMEXTRACTONLY}
413 do 442 do
414 extractlist="${extractlist} ${topdir}${moduleprefix}${i}" 443 extractlist+=" ${topdir}${moduleprefix}${i}"
415 done 444 done
416 445
417 echo ${extractlist} 446 echo ${extractlist}
418} 447}
419 448
424 debug-print-function ${FUNCNAME} "$@" 453 debug-print-function ${FUNCNAME} "$@"
425 454
426 kde4-meta_change_cmakelists 455 kde4-meta_change_cmakelists
427 kde4-base_src_prepare 456 kde4-base_src_prepare
428} 457}
429
430 458
431# FIXME: no comment here? 459# FIXME: no comment here?
432_change_cmakelists_parent_dirs() { 460_change_cmakelists_parent_dirs() {
433 debug-print-function ${FUNCNAME} "$@" 461 debug-print-function ${FUNCNAME} "$@"
434 462
444 -i ${_dir}/CMakeLists.txt || die "${LINENO}: died in ${FUNCNAME} while processing ${_dir}" 472 -i ${_dir}/CMakeLists.txt || die "${LINENO}: died in ${FUNCNAME} while processing ${_dir}"
445 fi 473 fi
446 done 474 done
447} 475}
448 476
449# FIXME: add description
450# @FUNCTION: kde4-meta_change_cmakelists 477# @FUNCTION: kde4-meta_change_cmakelists
451# @DESCRIPTION: 478# @DESCRIPTION:
479# Adjust CMakeLists.txt to comply to our splitting.
452kde4-meta_change_cmakelists() { 480kde4-meta_change_cmakelists() {
453 debug-print-function ${FUNCNAME} "$@" 481 debug-print-function ${FUNCNAME} "$@"
454 482
455 pushd "${S}" > /dev/null 483 pushd "${S}" > /dev/null
456 484
457 comment_all_add_subdirectory ./ 485 comment_all_add_subdirectory ./
458 486
459 # Restore "add_subdirectory( cmake )" in ${S}/CMakeLists.txt 487 # Restore "add_subdirectory( cmake )" in ${S}/CMakeLists.txt
460 if [[ -f "${S}"/CMakeLists.txt ]]; then 488 if [[ -f CMakeLists.txt ]]; then
461 sed -e '/add_subdirectory[[:space:]]*([[:space:]]*cmake[[:space:]]*)/s/^#DONOTCOMPILE //' \ 489 sed -e '/add_subdirectory[[:space:]]*([[:space:]]*cmake[[:space:]]*)/s/^#DONOTCOMPILE //' \
462 -e '/ADD_SUBDIRECTORY[[:space:]]*([[:space:]]*cmake[[:space:]]*)/s/^#DONOTCOMPILE //' \ 490 -e '/ADD_SUBDIRECTORY[[:space:]]*([[:space:]]*cmake[[:space:]]*)/s/^#DONOTCOMPILE //' \
463 -i "${S}"/CMakeLists.txt || die "${LINENO}: cmake sed died" 491 -i CMakeLists.txt || die "${LINENO}: cmake sed died"
464 fi 492 fi
465 493
466 if [[ -z ${KMNOMODULE} ]]; then 494 if [[ -z ${KMNOMODULE} ]]; then
467 # Restore "add_subdirectory" in $KMMODULE subdirectories 495 # Restore "add_subdirectory" in $KMMODULE subdirectories
468 find "${S}"/${KMMODULE} -name CMakeLists.txt -print0 | xargs -0 sed -i -e 's/^#DONOTCOMPILE //g' || \ 496 find "${S}"/${KMMODULE} -name CMakeLists.txt -print0 | \
497 xargs -0 sed -i -e 's/^#DONOTCOMPILE //g' || \
469 die "${LINENO}: died in KMMODULE section" 498 die "${LINENO}: died in KMMODULE section"
470 _change_cmakelists_parent_dirs ${KMMODULE} 499 _change_cmakelists_parent_dirs ${KMMODULE}
471 fi 500 fi
472 501
502 local i
503
504 # KMEXTRACTONLY section - Some ebuilds need to comment out some subdirs in KMMODULE and they use KMEXTRACTONLY
505 for i in ${KMEXTRACTONLY}; do
506 if [[ -d ${i} && -f ${i}/../CMakeLists.txt ]]; then
507 sed -e "/([[:space:]]*$(basename $i)[[:space:]]*)/s/^/#DONOTCOMPILE /" \
508 -i ${i}/../CMakeLists.txt || \
509 die "${LINENO}: sed died while working in the KMEXTRACTONLY section while processing ${i}"
510 fi
511 done
512
473 # KMCOMPILEONLY 513 # KMCOMPILEONLY
474 local i
475 for i in ${KMCOMPILEONLY}; do 514 for i in ${KMCOMPILEONLY}; do
476 debug-print "${LINENO}: KMCOMPILEONLY, processing ${i}" 515 debug-print "${LINENO}: KMCOMPILEONLY, processing ${i}"
477 # Uncomment "add_subdirectory" instructions inside $KMCOMPILEONLY, then comment "install" instructions. 516 # Uncomment "add_subdirectory" instructions inside $KMCOMPILEONLY, then comment "install" instructions.
478 find "${S}"/${i} -name CMakeLists.txt -print0 | \ 517 find "${S}"/${i} -name CMakeLists.txt -print0 | \
479 xargs -0 sed -i \ 518 xargs -0 sed -i \
496 # KMEXTRA_NONFATAL section 535 # KMEXTRA_NONFATAL section
497 for i in ${KMEXTRA_NONFATAL}; do 536 for i in ${KMEXTRA_NONFATAL}; do
498 if [[ -d "${S}"/${i} ]]; then 537 if [[ -d "${S}"/${i} ]]; then
499 find "${S}"/${i} -name CMakeLists.txt -print0 | \ 538 find "${S}"/${i} -name CMakeLists.txt -print0 | \
500 xargs -0 sed -i -e 's/^#DONOTCOMPILE //g' || \ 539 xargs -0 sed -i -e 's/^#DONOTCOMPILE //g' || \
501 die "${LINENO}: sed died uncommenting add_subdirectory instructions in KMEXTRA section while processing ${i}" 540 die "${LINENO}: sed died uncommenting add_subdirectory instructions in KMEXTRA section while processing ${i}"
502 _change_cmakelists_parent_dirs ${i} 541 _change_cmakelists_parent_dirs ${i}
503 fi
504 done
505
506 # KMEXTRACTONLY section - Some ebuilds need to comment out some subdirs in KMMODULE and they use KMEXTRACTONLY
507 for i in ${KMEXTRACTONLY}; do
508 if [[ -d "${S}"/${i} && -f "${S}"/${i}/../CMakeLists.txt ]]; then
509 sed -i -e "/([[:space:]]*$(basename $i)[[:space:]]*)/s/^/#DONOTCOMPILE /" "${S}"/${i}/../CMakeLists.txt || \
510 die "${LINENO}: sed died while working in the KMEXTRACTONLY section while processing ${i}"
511 fi 542 fi
512 done 543 done
513 544
514 case ${KMNAME} in 545 case ${KMNAME} in
515 kdebase-workspace) 546 kdebase-workspace)
516 # COLLISION PROTECT section 547 # COLLISION PROTECT section
517 # Install the startkde script just once, as a part of kde-base/kdebase-startkde, 548 # Install the startkde script just once, as a part of kde-base/kdebase-startkde,
518 # not as a part of every package. 549 # not as a part of every package.
519 if [[ ${PN} != kdebase-startkde && -f "${S}"/CMakeLists.txt ]]; then 550 if [[ ${PN} != kdebase-startkde && -f CMakeLists.txt ]]; then
520 # The startkde script moved to kdebase-workspace for KDE4 versions > 3.93.0. 551 # The startkde script moved to kdebase-workspace for KDE4 versions > 3.93.0.
521 sed -i -e '/startkde/s/^/#DONOTINSTALL /' "${S}"/CMakeLists.txt || \ 552 sed -e '/startkde/s/^/#DONOTINSTALL /' \
522 die "${LINENO}: sed died in the kdebase-startkde collision prevention section" 553 -i CMakeLists.txt || die "${LINENO}: sed died in the kdebase-startkde collision prevention section"
523 fi 554 fi
524 # Strip EXPORT feature section from workspace for KDE4 versions > 4.1.82 555 # Strip EXPORT feature section from workspace for KDE4 versions > 4.1.82
525 if [[ ${PN} != libkworkspace ]]; then 556 if [[ ${PN} != libkworkspace ]]; then
526 sed -i -e '/install(FILES ${CMAKE_CURRENT_BINARY_DIR}\/KDE4WorkspaceConfig.cmake/,/^[[:space:]]*FILE KDE4WorkspaceLibraryTargets.cmake )[[:space:]]*^/d' \ 557 sed -e '/install(FILES ${CMAKE_CURRENT_BINARY_DIR}\/KDE4WorkspaceConfig.cmake/,/^[[:space:]]*FILE KDE4WorkspaceLibraryTargets.cmake )[[:space:]]*^/d' \
527 CMakeLists.txt || die "${LINENO}: sed died in kdebase-workspace strip EXPORT section" 558 -i CMakeLists.txt || die "${LINENO}: sed died in kdebase-workspace strip config install and fix EXPORT section"
528 fi 559 fi
529 ;; 560 ;;
530 kdebase-runtime) 561 kdebase-runtime)
531 # COLLISION PROTECT section 562 # COLLISION PROTECT section
532 # Only install the kde4 script as part of kde-base/kdebase-data 563 # Only install the kde4 script as part of kde-base/kdebase-data
533 if [[ ${PN} != kdebase-data && -f "${S}"/CMakeLists.txt ]]; then 564 if [[ ${PN} != kdebase-data && -f CMakeLists.txt ]]; then
534 sed -i -e '/^install(PROGRAMS[[:space:]]*[^[:space:]]*\/kde4[[:space:]]/s/^/#DONOTINSTALL /' \ 565 sed -e '/^install(PROGRAMS[[:space:]]*[^[:space:]]*\/kde4[[:space:]]/s/^/#DONOTINSTALL /' \
535 "${S}"/CMakeLists.txt || die "Sed to exclude bin/kde4 failed" 566 -i CMakeLists.txt || die "Sed to exclude bin/kde4 failed"
536 fi 567 fi
568 ;;
569 kdenetwork)
570 # Disable hardcoded kdepimlibs check
571 sed -e 's/find_package(KdepimLibs REQUIRED)/macro_optional_find_package(KdepimLibs)/' \
572 -i CMakeLists.txt || die "failed to disable hardcoded checks"
537 ;; 573 ;;
538 kdepim) 574 kdepim)
575 # Disable hardcoded checks
576 sed -r -e '/find_package\(KdepimLibs/s/REQUIRED//' \
577 -e '/find_package\((KdepimLibs|Boost|QGpgme|Akonadi|ZLIB|Strigi|SharedDesktopOntologies|Soprano|Nepomuk)/{/macro_optional_/!s/find/macro_optional_&/}' \
578 -e '/macro_log_feature\((Boost|QGPGME|Akonadi|ZLIB|STRIGI|SHAREDDESKTOPONTOLOGIES|Soprano|Nepomuk)_FOUND/s/ TRUE / FALSE /' \
579 -e '/if[[:space:]]*([[:space:]]*BUILD_.*)/s/^/#OVERRIDE /' \
580 -e '/if[[:space:]]*([[:space:]]*[[:alnum:]]*_FOUND[[:space:]]*)/s/^/#OVERRIDE /' \
581 -i CMakeLists.txt || die "failed to disable hardcoded checks"
582 # Disable broken or redundant build logic
583 if ( has kontact ${IUSE//+} && use kontact ) || [[ ${PN} = kontact ]]; then
584 sed -e '/if[[:space:]]*([[:space:]]*BUILD_.*)/s/^/#OVERRIDE /' \
585 -e '/if[[:space:]]*([[:space:]]*[[:alnum:]]*_FOUND[[:space:]]*)/s/^/#OVERRIDE /' \
586 -i kontact/plugins/CMakeLists.txt || die 'failed to override build logic'
587 fi
588 if ! slot_is_at_least 4.5 ${SLOT}; then
539 case ${PN} in 589 case ${PN} in
540 kaddressbook|kalarm|kmailcvt|kontact|korganizer|korn) 590 kalarm|kmailcvt|kontact|korganizer|korn)
541 sed -i -n -e '/qt4_generate_dbus_interface(.*org\.kde\.kmail\.\(kmail\|mailcomposer\)\.xml/p' \ 591 sed -n -e '/qt4_generate_dbus_interface(.*org\.kde\.kmail\.\(kmail\|mailcomposer\)\.xml/p' \
542 -e '/add_custom_target(kmail_xml /,/)/p' "${S}"/kmail/CMakeLists.txt || die "uncommenting xml failed" 592 -e '/add_custom_target(kmail_xml /,/)/p' \
593 -i kmail/CMakeLists.txt || die "uncommenting xml failed"
543 _change_cmakelists_parent_dirs kmail 594 _change_cmakelists_parent_dirs kmail
544 ;; 595 ;;
596 esac
597 fi
598 ;;
599 kdewebdev)
600 # Disable hardcoded checks
601 sed -e 's/find_package(KdepimLibs REQUIRED)/macro_optional_find_package(KdepimLibs)/' \
602 -e 's/find_package(LibXml2 REQUIRED)/macro_optional_find_package(LibXml2)/' \
603 -e 's/find_package(LibXslt REQUIRED)/macro_optional_find_package(LibXslt)/' \
604 -e 's/find_package(Boost REQUIRED)/macro_optional_find_package(Boost)/' \
605 -i CMakeLists.txt || die "failed to disable hardcoded checks"
606 ;;
607 koffice)
608 # Prevent collisions
609 if [[ ${PN} != koffice-data ]]; then
610 sed -e '/install(.*FindKOfficeLibs.cmake/,/)/ d' \
611 -i cmake/modules/CMakeLists.txt || die "${LINENO}: sed died in collision prevention section"
612 sed -e '/install(.\+config-openexr\.h.\+)/d' \
613 -i CMakeLists.txt || die "${LINENO}: sed died in collision prevention section"
614 fi
615 # koffice 2.0
616 case ${PV} in
617 2.0.[1-9])
618 sed -i -n -e '1h;1!H;${g;s/install(.\+config-openexr.h.\+)//;p}' \
619 "${S}"/CMakeLists.txt || \
620 die "${LINENO}: sed died in collision prevention section"
621 ;;
622 *) ;;
545 esac 623 esac
624 # koffice 2.1.[8-9][0-9] and 9999
625 case ${PV} in
626 2.1.8[0-9]|2.1.9[0-9]|9999)
627 sed -e '/^option(BUILD/s/ON/OFF/' \
628 -e '/^if(NOT BUILD_kchart/,/^endif(NOT BUILD_kchart/d' \
629 -e '/^if(BUILD_koreport/,/^endif(BUILD_koreport/d' \
630 -e 's/set(SHOULD_BUILD_F_OFFICE TRUE)/set(SHOULD_BUILD_F_OFFICE FALSE)/' \
631 -i "${S}"/CMakeLists.txt || die "sed died while fixing cmakelists"
632 if [[ ${PN} != koffice-data ]] && [[ ${PV} == 9999 ]]; then
633 sed -e '/config-opengl.h/d' \
634 -i "${S}"/CMakeLists.txt || die "sed died while fixing cmakelists"
635
636 fi
546 ;; 637 ;;
547 koffice) 638 *) ;;
548 # prevent collisions 639 esac
549 if [[ ${PN} != koffice-data ]]; then
550 sed -i -e '/install(.*FindKOfficeLibs.cmake/,/)/ d' \
551 "${S}"/cmake/modules/CMakeLists.txt || \
552 die "${LINENO}: sed died in collision prevention section"
553 sed -i -n -e '1h;1!H;${g;s/install(.\+config-openexr.h.\+)//;p}' \
554 "${S}"/CMakeLists.txt || \
555 die "${LINENO}: sed died in collision prevention section"
556 fi
557 esac 640 esac
558 641
559 popd > /dev/null 642 popd > /dev/null
560} 643}
561 644
564# Currently just calls its equivalent in kde4-base.eclass(5). Use this one in split 647# Currently just calls its equivalent in kde4-base.eclass(5). Use this one in split
565# ebuilds. 648# ebuilds.
566kde4-meta_src_configure() { 649kde4-meta_src_configure() {
567 debug-print-function ${FUNCNAME} "$@" 650 debug-print-function ${FUNCNAME} "$@"
568 651
652 # backwards-compatibility: make mycmakeargs an array, if it isn't already
653 if [[ $(declare -p mycmakeargs 2>&-) != "declare -a mycmakeargs="* ]]; then
654 mycmakeargs=(${mycmakeargs})
655 fi
656
657 # Set some cmake default values here (usually workarounds for automagic deps)
658 case ${KMNAME} in
659 kdewebdev)
660 mycmakeargs=(
661 -DWITH_KdepimLibs=OFF
662 -DWITH_LibXml2=OFF
663 -DWITH_LibXslt=OFF
664 -DWITH_Boost=OFF
665 -DWITH_LibTidy=OFF
666 "${mycmakeargs[@]}"
667 )
668 ;;
669 koffice)
670 case ${PV} in
671 2.1.8[0-9]|2.1.9[0-9]|9999)
672 if [[ ${PN} != "kchart" ]]; then
673 mycmakeargs=(
674 -DBUILD_koreport=OFF
675 "${mycmakeargs[@]}"
676 )
677 fi
678 ;;
679 esac
680 ;;
681 esac
682
569 kde4-base_src_configure 683 kde4-base_src_configure
570} 684}
571 685
572# @FUNCTION: kde4-meta_src_compile 686# @FUNCTION: kde4-meta_src_compile
573# @DESCRIPTION: 687# @DESCRIPTION:
574# General function for compiling split KDE4 applications. 688# General function for compiling split KDE4 applications.
575# Overrides kde4-base_src_compile. 689# Overrides kde4-base_src_compile.
576kde4-meta_src_compile() { 690kde4-meta_src_compile() {
577 debug-print-function ${FUNCNAME} "$@" 691 debug-print-function ${FUNCNAME} "$@"
578 692
579 kde4-base_src_make 693 kde4-base_src_compile "$@"
580} 694}
581 695
582# @FUNCTION: kde4-meta_src_test 696# @FUNCTION: kde4-meta_src_test
583# @DESCRIPTION: 697# @DESCRIPTION:
584# Currently just calls its equivalent in kde4-base.eclass(5). Use this in split 698# Currently just calls its equivalent in kde4-base.eclass(5) if
585# ebuilds. 699# I_KNOW_WHAT_I_AM_DOING is set. Use this in split ebuilds.
586kde4-meta_src_test() { 700kde4-meta_src_test() {
587 debug-print-function $FUNCNAME "$@" 701 debug-print-function $FUNCNAME "$@"
588 702
703 if [[ $I_KNOW_WHAT_I_AM_DOING ]]; then
589 kde4-base_src_test 704 kde4-base_src_test
705 else
706 einfo "Tests disabled"
707 fi
590} 708}
591 709
592# @FUNCTION: kde4-meta_src_install 710# @FUNCTION: kde4-meta_src_install
593# @DESCRIPTION: 711# @DESCRIPTION:
594# Function for installing KDE4 split applications. 712# Function for installing KDE4 split applications.
595kde4-meta_src_install() { 713kde4-meta_src_install() {
596 debug-print-function $FUNCNAME "$@" 714 debug-print-function $FUNCNAME "$@"
597 715
598 kde4-meta_src_make_doc 716 # Search ${S}/${KMMODULE} and install common documentation files found
599 cmake-utils_src_install
600
601 if [[ -n ${KMSAVELIBS} ]]; then
602 install_library_dependencies
603 fi
604}
605
606# @FUNCTION: kde4-meta_src_make_doc
607# @DESCRIPTION:
608# This function searches in ${S}/${KMMODULE},
609# and tries to install "AUTHORS ChangeLog* README* NEWS todo" if these files exist.
610kde4-meta_src_make_doc() {
611 debug-print-function ${FUNCNAME} "$@"
612
613 local doc 717 local doc
614 for doc in AUTHORS ChangeLog* README* NEWS TODO; do 718 for doc in "${S}/${KMMODULE}"/{AUTHORS,CHANGELOG,ChangeLog*,README*,NEWS,TODO,HACKING}; do
615 [[ -s ${KMMODULE}/${doc} ]] && newdoc "${KMMODULE}/${doc}" "${doc}.${KMMODULE##*/}" 719 [[ -f "${doc}" ]] && [[ -s "${doc}" ]] && dodoc "${doc}"
616 done 720 done
617 721
618 kde4-base_src_make_doc 722 kde4-base_src_install
619} 723}
620 724
621# @FUNCTION: kde4-meta_pkg_postinst 725# @FUNCTION: kde4-meta_pkg_postinst
622# @DESCRIPTION: 726# @DESCRIPTION:
623# Currently just calls its equivalent in kde4-base.eclass(5). Use this in split 727# Invoke kbuildsycoca4.
624# ebuilds.
625kde4-meta_pkg_postinst() { 728kde4-meta_pkg_postinst() {
626 debug-print-function ${FUNCNAME} "$@" 729 debug-print-function ${FUNCNAME} "$@"
627 730
628 kde4-base_pkg_postinst 731 kde4-base_pkg_postinst
629} 732}

Legend:
Removed from v.1.11  
changed lines
  Added in v.1.45

  ViewVC Help
Powered by ViewVC 1.1.20